%global snapshot 1
%global commit0  e73c4d8f71801fe842c0276b603d9c8024d6d957

Name:           winetricks
Version:        20250212
Release:        1%{?dist}

Summary:        Winetricks is an easy way to work around problems in Wine  
License:        LGPL-2.1-or-later
URL:            https://github.com/Winetricks/%{name}

%if 0%{?snapshot}
Source0:        %{url}/archive/%{commit0}.tar.gz
%else
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
%endif

BuildArch:      noarch

ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64
ExcludeArch:    ppc64 ppc64le

BuildRequires:  desktop-file-utils
BuildRequires:  make

Requires:       cabextract gzip unzip wget which
Requires:       hicolor-icon-theme
Requires:       wine-common
Requires:       zenity

%description
Winetricks is an easy way to work around problems in Wine.

It has a menu of supported games/apps for which it can do all the
workarounds automatically. It also allows the installation of missing DLLs
and tweaking of various Wine settings.

%prep
%if 0%{?snapshot}
%setup -qn%{name}-%{commit0}
%else
%setup -q
%endif

sed -i -e s:steam:: -e s:flash:: tests/*

%build

%install
%make_install
install -m0644 -D -t %{buildroot}%{_datadir}/metainfo src/io.github.winetricks.Winetricks.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%license COPYING debian/copyright
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/metainfo/io.github.winetricks.Winetricks.metainfo.xml

%changelog
%autochangelog
